Skip to main content
PATCH
Change Benefit

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the benefit.

Body

application/json
type
string
required
Allowed value: "custom"
metadata
Metadata · object

Metadata map for information your integration needs to retain.

The key must be a string with a maximum length of 40 characters. The value must be either:

  • A string with a maximum length of 500 characters
  • An integer
  • A floating-point number
  • A boolean

You can store up to 50 key-value pairs.

description
string | null

Description attached to the benefit. Will be displayed on products having this benefit.

Required string length: 3 - 42
visibility
enum<string> | null

Visibility: Controls whether customers can see this benefit in their portal.

Available options:
draft,
private,
public
properties
BenefitCustomProperties · object | null

Properties for a benefit of type custom.

Response

Response: Benefit updated.

A benefit of type custom.

Use it to grant any kind of benefit that doesn't fit in the other types.

id
string<uuid4>
required

Unique identifier for the benefit.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

type
string
required
Allowed value: "custom"
description
string
required

Description attached to the benefit.

selectable
boolean
required

Indicates whether the benefit is selectable when creating a product.

deletable
boolean
required

Indicates whether the benefit is deletable.

is_deleted
boolean
required

Indicates whether the benefit is deleted.

organization_id
string<uuid4>
required

Unique identifier for the organization owning the benefit.

metadata
object
required
visibility
enum<string>
required

Visibility: Controls whether customers can see this benefit in their portal.

Available options:
draft,
private,
public
properties
BenefitCustomProperties · object
required

Properties for a benefit of type custom.

visibility_configurable
boolean
required
read-only